# $Revision: 1.22 $, $Date: 2008/12/13 10:39:57 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	ZX Spectrum emulator file format library
Summary(pl.UTF-8):	Biblioteka do obsługi formatów plików emulatorów ZX Spectrum
Name:		libspectrum
Version:	0.5.0
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://dl.sourceforge.net/fuse-emulator/%{name}-%{version}.tar.gz
# Source0-md5:	d17f018dbf79361f5dfe5dc251bbcbbb
URL:		http://fuse-emulator.sourceforge.net/libspectrum.php
BuildRequires:	audiofile-devel >= 0.2.3
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel >= 1.0
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	libgcrypt-devel >= 1.1.42
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.7
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libspectrum is a library designed to make the input and output of some
ZX Spectrum emulator files slightly easier. It is intended to be
usable on Unix variants, Win32 and Mac OS X.

%description -l pl.UTF-8
libspectrum jest biblioteką zaprojektowaną, by ułatwić zapis i odczyt
plików wykorzystywanych przez emulatory ZX Spectrum. Można jej używać
na różnych wariantach systemu Unix, Win32 i Mac OS X.

%package devel
Summary:	ZX Spectrum emulator file format library - development
Summary(pl.UTF-8):	Część dla programistów używających biblioteki libspectrum
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	audiofile-devel >= 0.2.3
Requires:	bzip2-devel >= 1.0
Requires:	glib2-devel >= 2.0.0
Requires:	libgcrypt-devel >= 1.1.42
Requires:	zlib-devel

%description devel
The libspectrum-devel package contains the header files and documentation
needed to develop applications with libspectrum.

%description devel -l pl.UTF-8
Pakiet libspectrum-devel zawiera pliki nagłówkowe i dokumentację potrzebne
do kompilowania aplikacji korzystających z libspectrum.

%package static
Summary:	ZX Spectrum emulator file format static library
Summary(pl.UTF-8):	Statyczna biblioteka libspectrum
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
The libspectrum-static package contains the static libraries of libspectrum.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libspectrum.

%prep
%setup -q

# don't BR both glib versions
echo 'AC_DEFUN([AM_PATH_GLIB],[$3])' >> acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS
%attr(755,root,root) %{_libdir}/libspectrum.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspectrum.so.7

%files devel
%defattr(644,root,root,755)
%doc doc/libspectrum.txt
%attr(755,root,root) %{_libdir}/libspectrum.so
%{_libdir}/libspectrum.la
%{_includedir}/libspectrum.h
%{_mandir}/man3/libspectrum.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libspectrum.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libspectrum.spec,v $
Revision 1.22  2008/12/13 10:39:57  qboosh
- libgcrypt version

Revision 1.21  2008/12/05 19:34:35  witekfl
- up to 0.5.0

Revision 1.20  2008-01-14 22:35:50  qboosh
- updated to 0.4.0

Revision 1.19  2007-07-23 17:29:50  witekfl
- added missing #

Revision 1.18  2007/07/21 15:26:19  witekfl
- added bcond_without static_libs

Revision 1.17  2007/05/16 21:58:59  qboosh
- updated to 0.3.0.1 (crash fix)

Revision 1.16  2007/04/18 09:51:02  qboosh
- updated to 0.3.0 (new soname)

Revision 1.15  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.13  2004/11/27 19:21:09  saq
- massive attack: more BR epoch fixes

Revision 1.12  2004/07/24 22:05:34  qboosh
- updated to 0.2.2

Revision 1.11  2004/02/15 18:37:10  qboosh
- updated deps, added -devel deps, avoid glib 1.x BR

Revision 1.10  2004/02/15 16:17:58  qboosh
- fixed doc in -devel, strict internal deps

Revision 1.9  2004/02/15 06:29:43  witekfl
- update to ver, 0.2.1
- changed URLs

Revision 1.7  2003/11/10 23:01:50  qboosh
- BR: libtool

Revision 1.6  2003/08/06 11:00:43  qboosh
- moved base docs to base

Revision 1.5  2003/05/28 12:59:32  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:50:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/27 23:11:36  kloczek
- cosmetics.

Revision 1.2  2003/04/27 20:19:15  ankry
- update to 0.1.1 by Witold Filipczyk

Revision 1.1  2002/12/09 16:35:20  juandon
- Release 1
